<!-- Navigation -->
  <nav class="navbar navbar-expand-lg navbar-dark bg-dark static-top">
    <div class="container">
      <a class="navbar-brand" href="/">OBScontrole</a>
      <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
        <span class="navbar-toggler-icon"></span>
      </button>
      <div class="collapse navbar-collapse" id="navbarResponsive">
        <ul class="navbar-nav ml-auto">
          <li class="nav-item">
            <a class="nav-link" href="/verification">Verification</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="/maintenance">Maintenance</a>
          </li>
        </ul>
      </div>
    </div>
  </nav>



 <!-- Page Content -->
<section style="background: transparent !important" class="mb-0 jumbotron text-center">
  <div class="container">
        <h1 class="jumbotron-heading">Verification et Tests</h1>

<table class="table">
  <thead>
    <tr>
<!--      <th scope="col">#</th> -->
      <th scope="col">description</th>
      <th scope="col">channels</th>
      <th scope="col">strap</th>
      <th scope="col">echantillon</th>
      <th scope="col">compress</th>
	  <th scope="col">type</th>
    </tr>
  </thead>
  <tbody>
    <tr>
      <td>{{data.description}}</td>
      <td>{{data.channel}}</td>
      <td>{{data.strap}} kHz</td>
      <td>{{data.echantillon}} Hz</td>
      <td>{{data.compress}}</td>
      <td>{{data.type}}</td>
    </tr>
	    <tr>
      <td></td>
      <td><table class="table"><thead><tr id="id_table">
	  {{#each data.channeli}}
      <th id ="table_{{@index}}" scope="col">{{this}}</th>
	  {{/each}}
	  </tr></thead></table></td>
      <td></td>
      <td></td>
      <td></td>
      <td></td>
    </tr>

  </tbody>
</table>
<!--
  <p class="lead text-muted">
	channels : {{data.channel}}
	description : {{data.description}}
	strap : value {{data.strap}}
	echantillon : value {{data.echantillon}}
	compress : {{data.compress}}
	type : {{data.type}}
 </p>
 -->

	<div class="container-fluid">
	<div class="row d-flex justify-content-center">
	 <div class="col-xs-4 mb-2"><button id="auto_test" class="btn btn-sm btn-primary btn-block"> Auto-Test </button></div>
	</div>
	</div>


<ul class="ecosystem flexbox hidden">
        <li class="sys_obs">
                <div class="system_icon">
                </div>
                <div class="system_info">
                Systeme d'OBS
                <span> On sait pas ce qu'on fout ici </span>
                </div>
        </li>
        <li class="sys_capteur">
                <div class="system_icon">
                </div>
                <div class="system_info">
                Systeme d'OBS
                <span> On sait pas ce qu'on fout ici </span>
                </div>
        </li>
        <li class="sys_adc">
                <div class="system_icon">
                </div>
                <div class="system_info">
                Systeme d'OBS
                <span> On sait pas ce qu'on fout ici </span>
                </div>
        </li>
        <li class="sys_horloge">
                <div class="system_icon">
                </div>
                <div class="system_info">
                Systeme d'OBS
                <span> On sait pas ce qu'on fout ici </span>
                </div>

       </li>
        <li class="sys_memoire">
                <div class="system_icon">
                </div>
                <div class="system_info">
                Systeme d'OBS
                <span> On sait pas ce qu'on fout ici </span>
                </div>
        </li>
        <li class="sys_conso">
                <div class="system_icon">
                </div>
                <div class="system_info">
                Systeme d'OBS
                <span> On sait pas ce qu'on fout ici </span>
                </div>
        </li>
</ul>

 
  </div>
</section>
<div class="album py-5 bg-light">
	<div class="container">
		<div class="row"> 
		
		

			<div class="col-md-4">
				<div class="card mb-4 box-shadow">
					<img src="/image/sensor.jpg" class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Verification%20Capteur" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body text-center">
						<p class="card-text"> Courbe temporelle de chacune des voies et spectre (FFT) de bon fonctionnement </p>
						<div class="btn-group d-inline-flex justify-content-between align-items-center btn-group">
							<button id="verif_lect_capt" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>

<!--							<button id="vverif_lect_capt" class="btn btn-sm dropdown-toggle px-3 btn-outline-secondary" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							<span class="sr-only"> Toggle Dropdown </span>
							</button>
-->
							<div class="dropdown-menu">
								<div class="input-group">
									<input id="verif_lect_capt-bas" class="seuil dropdown-item" placeholder="Seuil bas">
									<input id="verif_lect_capt-haut" class="seuil dropdown-item" placeholder="Seuil haut">
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="card mb-4 box-shadow">
					<img class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Verification de la qualité des capteurs" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body text-center">
						<p class="card-text"> Verif qualité des capteurs. Je ne sais pas encore ce que je vais mettre ici mais ca sera là"</p>
						<div class="d-inline-flex justify-content-between align-items-center btn-group">
							<button id="verif_capt" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>
<!--
							<button id="verif_capt" class="btn btn-sm dropdown-toggle px-3 btn-outline-secondary" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							<span class="sr-only"> Toggle Dropdown </span>
							</button>
-->
							<div class="dropdown-menu">
								<div class="input-group">
									<input id="verif_capt-bas" class="seuil dropdown-item" placeholder="Seuil bas">
									<input id="verif_capt-haut" class="seuil dropdown-item" placeholder="Seuil haut">
								</div>
							</div>

						</div>
					</div>
				</div>
				<div class="card mb-4 box-shadow">
					<img class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Verification des données" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body text-center">
						<p class="card-text"> Verif enregistrement des données. Apres un dump du disque dur</p>
						<div class="d-inline-flex justify-content-between align-items-center btn-group">
							<button id="verif_record" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>
<!--
							<button id="verif_record" class="btn btn-sm dropdown-toggle px-3 btn-outline-secondary" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							<span class="sr-only"> Toggle Dropdown </span>
							</button>
-->
							<div class="dropdown-menu">
								<div class="input-group">
									<input id="verif_record-bas" class="seuil dropdown-item" placeholder="Seuil bas">
									<input id="verif_record-haut" class="seuil dropdown-item" placeholder="Seuil haut">
								</div>
							</div>

						</div>
					</div>
				</div>
				<div class="card mb-4 box-shadow">
					<img class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Exemple" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body text-center">
						<p class="card-text"> Verif qualité des données. Je ne sais pas encore ce que je vais mettre ici mais ca sera là"</p>
						<div class="d-inline-flex justify-content-between align-items-center btn-group">
							<button id="verif_data" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>
<!--
							<button id="verif_data" class="btn btn-sm dropdown-toggle px-3 btn-outline-secondary" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							<span class="sr-only"> Toggle Dropdown </span>
							</button>
-->
							<div class="dropdown-menu">
								<div class="input-group">
									<input id="verif_data-bas" class="seuil dropdown-item" placeholder="Seuil bas">
									<input id="verif_data-haut" class="seuil dropdown-item" placeholder="Seuil haut">
								</div>
							</div>

						</div>
					</div>
				</div>
				<div class="card mb-4 box-shadow">
					<img class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Exemple" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body text-center">
						<p class="card-text"> Verif consommations de l'OBS. Je ne sais pas encore ce que je vais mettre ici mais ca sera là"</p>
						<div class="d-inline-flex justify-content-between align-items-center btn-group">
							<button id="verif_conso" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>
<!--
							<button id="verif_conso" class="btn btn-sm dropdown-toggle px-3 btn-outline-secondary" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							<span class="sr-only"> Toggle Dropdown </span>
							</button>

-->
							<div class="dropdown-menu">
								<div class="input-group">
									<input id="verif_conso-bas" class="seuil dropdown-item" placeholder="Seuil bas">
									<input id="verif_conso-haut" class="seuil dropdown-item" placeholder="Seuil haut">
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="card mb-4 box-shadow">
					<img class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Exemple" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body text-center">
						<p class="card-text"> Verif de l'horloge. Je ne sais pas encore ce que je vais mettre ici mais ca sera là"</p>
						<div class="d-inline-flex justify-content-between align-items-center btn-group">
							<button id="verif_time" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>
<!--
							<button id="verif_time" class="btn btn-sm dropdown-toggle px-3 btn-outline-secondary" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							<span class="sr-only"> Toggle Dropdown </span>
							</button>
-->
							<div class="dropdown-menu">
								<div class="input-group">
									<input id="verif_time-bas" class="seuil dropdown-item" placeholder="Seuil bas">
									<input id="verif_time-haut" class="seuil dropdown-item" placeholder="Seuil haut">
								</div>
							</div>
						</div>
					</div>
				</div>
				<div class="card mb-4 box-shadow">
					<img class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Exemple" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body text-center">
						<p class="card-text"> Verif parametrages. Je ne sais pas encore ce que je vais mettre ici mais ca sera là"</p>
						<div class="d-inline-flex justify-content-between align-items-center btn-group">
							<button id="verif_param" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>
<!--
							<button id="verif_param" class="btn btn-sm dropdown-toggle px-3 btn-outline-secondary" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							<span class="sr-only"> Toggle Dropdown </span>
							</button>
-->
							<div class="dropdown-menu">
								<div class="input-group">
									<input id="verif_param-bas" class="seuil dropdown-item" placeholder="Seuil bas">
									<input id="verif_param-haut" class="seuil dropdown-item" placeholder="Seuil haut">
								</div>
							</div>
						</div>
					</div>
				</div>
			</div>
			<div class="col-md-4">
				<div class="card mb-4 box-shadow text-center">
					<img class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Exemple" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body">
						<p class="card-text"> Datage du système. Je ne sais pas encore ce que je vais mettre ici mais ca sera là"</p>
						<div class="d-inline-flex justify-content-between align-items-center btn-group">
							<button id="param_time" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>
							<!-- <button id="pparam_time" class="btn btn-sm dropdown-toggle px-3 btn-outline-secondary" type="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
							<span class="sr-only"> Toggle Dropdown </span>
							</button>
							<div class="dropdown-menu">
								<div class="input-group">
									<input id="param_time-param" class="seuil dropdown-item" placeholder="DD/MM/YY">
								</div>
							</div> -->
							
						</div>
					</div>
				</div>
				<div class="card mb-4 box-shadow">
					<img class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Exemple" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body text-center">
						<p class="card-text"> Programmation des enregistrements. Je ne sais pas encore ce que je vais mettre ici mais ca sera là"</p>
						<div class="d-inline-flex justify-content-between align-items-center btn-group">
							<button id="param_acq" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>
						</div>
					</div>
				</div>
			</div>
			<div class="col-md-4">
				<div class="card mb-4 box-shadow">
					<img class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Exemple" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body text-center">
						<p class="card-text"> Calcul de la dérive d'horloge. Je ne sais pas encore ce que je vais mettre ici mais ca sera là"</p>
						<div class="d-inline-flex justify-content-between align-items-center btn-group">
							<button id="verif_derive" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>
						</div>
					</div>
				</div>
				<div class="card mb-4 box-shadow">
					<img class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Exemple" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body text-center">
						<p class="card-text"> Informations systèmes. Je ne sais pas encore ce que je vais mettre ici mais ca sera là"</p>
						<div class="d-inline-flex justify-content-between align-items-center btn-group">
							<button id="info_sys" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>
						</div>
					</div>
				</div>
				<div class="card mb-4 box-shadow">
					<img class="card-img-top" data-src="holder.js/100px225?theme=thumb&bg=55595c&fg=eceeef&text=Exemple" alt="thumbnail [100X225]" style="height: 225px; width: 100%; display: block;" src="data:image/svg+xml;charset=UTF-8,%3Csvg%20width%3D%22208%22%20height%3D%22225%22%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20viewBox%3D%220%200%20208%20225%22%20preserveAspectRatio%3D%22none%22%3E%3Cdefs%3E%3Cstyle%20type%3D%22text%2Fcss%22%3E%23holder_16bfa2e4546%20text%20%7B%20fill%3A%23eceeef%3Bfont-weight%3Abold%3Bfont-family%3AArial%2C%20Helvetica%2C%20Open%20Sans%2C%20sans-serif%2C%20monospace%3Bfont-size%3A11pt%20%7D%20%3C%2Fstyle%3E%3C%2Fdefs%3E%3Cg%20id%3D%22holder_16bfa2e4546%22%3E%3Crect%20width%3D%22208%22%20height%3D%22225%22%20fill%3D%22%2355595c%22%3E%3C%2Frect%3E%3Cg%3E%3Ctext%20x%3D%2265.5%22%20y%3D%22117.3%22%3EThumbnail%3C%2Ftext%3E%3C%2Fg%3E%3C%2Fg%3E%3C%2Fsvg%3E" data-holder-rendered="true">
					<div class="h-20 card-body text-center">
						<p class="card-text"> Récupération des datas. Je ne sais pas encore ce que je vais mettre ici mais ca sera là"</p>
						<div class="d-inline-flex justify-content-between align-items-center btn-group">
							<button id="recup_data" class="verif btn btn-sm btn-outline-secondary" type="button" data-toggle="modal" data-target="#retour_verif">Démarrer</button>
						</div>
					</div>
				</div>
			</div>
		</div>
	</div> 
	
</div>
<div class="modal fade" id="retour_verif" tabindex="-1" role="dialog" aria-labelledby="retour_verif_label" aria-hidden="true">
	<div class="modal-dialog  modal-lg" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h5 class="modal-title" id="retour_verif_label">Ordre effectué</h5>
				<button type="button" class="close" data-dismiss="modal" aria-label="Close">
					<span aria-hidden="true">&times;</span>
				</button>
			</div>
			<div id="text_modal" class="modal-body">
			...
			</div>
			<div class="modal-footer">
			<button id='Fermer' type="button" class="btn btn-primary" data-dismiss="modal">Fermer</button>
			
			<button type="button" class="Envoi btn btn-primary">Envoyer</button>
			</div>
		</div>
	</div>
</div>

<script>
/*
var samples = 20;
			var speed = 250;
			let timeout = samples * speed;
			var values = [];
			var labels = [];
			var charts = [];
			var value = 0;
			var scale = 1;
			
			
	function addEmptyValues(arr, n) {
  for(var i = 0; i < n; i++) {
    arr.push({
      x: moment().subtract((n - i) * speed, 'milliseconds').toDate(),
      y: null
    });
  }
}


function rescale() {
  var padding = [];
  
  addEmptyValues(padding, 10);
  values.splice.apply(values, padding);
  
  scale++;
}

function updateCharts(){
  charts.forEach(function(chart) {
    chart.update();
  });
}

function progress() {
  value = Math.min(Math.max(value + (0.1 - Math.random() / 5), -1), 1);
  values.push({
    x: new Date(),
    y: value
  });
  values.shift();
}

function advance() {
  if (values[0] !== null && scale < 4) {
    //rescale();
    updateCharts();
  }
  
  progress();
  updateCharts();
  
  setTimeout(function() {
    requestAnimationFrame(advance);
  }, speed);
}

*/



	$(function () {



        socket.on("retour_auto_test",function(msg){
                $('.sys_obs .system_info').text(msg.sys_obs);
                $('.sys_capteur .system_info').text(msg.sys_capteur);
                $('.sys_adc .system_info').text(msg.sys_adc);
                $('.sys_horloge .system_info').text(msg.sys_horloge);
                $('.sys_memoire .system_info').text(msg.sys_memoire);
                $('.sys_conso .system_info').text(msg.sys_conso);
                console.log("retour"+msg.OBS);
                $('#auto_test').css('cursor','pointer');
                $('ul.ecosystem').toggleClass('hidden');

        });

        $('#auto_test').click(function(e){
                $('#auto_test').css('cursor','progress');
                socket.emit('auto_test');
        });




console.log("DATAS")

//On recupere les gains 
let variabli = []

console.log({{data.channeli }})

var taken = $('#id_table th');


let lante = taken.length;
	  
var generation;

console.log(taken.length)

for(var z = 0;z<taken.length;z++){
 variabli.push(taken[z].textContent)
}

console.log(variabli)


$('#text_modal').on('change', 'input, textarea, select', function(event){

	console.log("changing")
    generation = $('#generation').val(); 

    console.log(generation);
});
		var tmp;
		var tmp_seuil_id;
		var tmp_seuil_type;


		socket.on('retour_ver',function(msg){
			console.log("on a bien recu le retour du serveru"+msg);
			$('#text_modal').html(msg);
		

		});
		
				socket.on('retour_verif_lect_capt',function(msg){
			console.log("on a bien recu le retour du serveru"+msg);
			//$('#text_modal').html('<select name="generation" class="browser-default custom-select"><option selected>Generation du signal</option><option value="Impulse">Impulse</option><option value="Sinus">Sinus</option></select>');
			<!-- $('#text_modal').html(msg); -->

			var canvas = '<div class="container-fluid"><div class="row">';

			for(var k=0;k<lante;k++){
				canvas+='<div class="col"><canvas id="chart'+k+'" style="width:300px;height:300px;display=flex"></canvas></div>'
				if(k==1 && lante!=2){
					canvas+='</div><div class="row">'
				}
			}
			canvas+='</div></div>'
			
//			$('#text_modal').html('<div class="container-fluid"><div class="row"><canvas id="chart0" style="width:400px;height:300px;display=flex"></canvas><canvas id="chart1" style="width:400px;height:300px;display=flex"></canvas></div><div class="row"><canvas id="chart2" style="width:400px;height:300px;display=flex"></canvas><canvas id="chart3" style="width:400px;height:300px;display=flex"></canvas></div></div>');

		//	$('#text_modal').html('<div class="container-fluid"><div class="row"><div class="col"><canvas id="chart0" style="width:300px;height:300px;display=flex"></canvas></div><div class="col"><canvas id="chart1" style="width:300px;height:300px;display=flex"></canvas></div></div><div class="row"><div class="col"><canvas id="chart2" style="width:300px;height:300px;display=flex"></canvas></div><div class="col"><canvas id="chart3" style="width:300px;height:300px;display=flex"></canvas></div></div></div>');

		$('#text_modal').html(canvas);

///////////////////////

			console.log("truc de pedale");
			

//			addEmptyValues(values, samples);
			
			console.log('affiche')
			console.log(moment(Date.now()).fromNow())
			//////////////////
			console.log('affiche')
			console.log("Envois des chart")

var ctx=[]
var chart=[]
var config=[]

//Channels de l'adc
var channel=['C','B','D','F']
var coul=[[255,99,135],[155, 199, 32],[100, 200, 132],[55, 32, 132]]

			for(var k=0;k<lante;k++){
///////////////////

				let ctx0 = document.getElementById('chart'+k).getContext('2d');
				let chart0
				let config0 = {

					type: 'line',

					data: {

						datasets: [{

							data: [],
							label: 'Channel '+channel[k],
							borderColor: 'rgb('+coul[k][0]+','+coul[k][1]+','+coul[k][2]+')',
							backgroundColor: 'rgba('+coul[k][0]+','+coul[k][1]+','+coul[k][2]+', 0.5)',
							borderDash: [8, 4]
 
						}]
					},

					options: {
						maintainAspectRatio: false,

						scales: {

							xAxes: [{
	
								type: 'realtime',
								realtime:{
									onRefresh: function(chart0) {

										chart0.data.datasets.forEach(function(dataset) {

											dataset.data.push({

												x: Date.now(),

												y: Math.random()

											});

										});
									},
									delay:2000,
									pause: false
								}
							}]

						}

					}

				}
				chart0 = new Chart(ctx0, config0);
				chart.push(chart0)
				config.push(config0)
				
				$('#chart'+k).click(function(){
					console.log("Click on pause");
					console.log(config0);
					config0.options.scales.xAxes[0].realtime.pause = !config0.options.scales.xAxes[0].realtime.pause;
				});

			}


//////////////////
/*

			
			var ctx0 = document.getElementById('chart0').getContext('2d');
			var chart0
var config0 = {

  type: 'line',

  data: {

    datasets: [{

      data: [],
	  label: 'Channel C',
      borderColor: 'rgb(255, 99, 132)',
      backgroundColor: 'rgba(255, 99, 132, 0.5)',
      borderDash: [8, 4]
 
  }]
  },

  options: {
    maintainAspectRatio: false,

    scales: {

      xAxes: [{

        type: 'realtime',
		realtime:{
		onRefresh: function(chart0) {

            chart0.data.datasets.forEach(function(dataset) {

              dataset.data.push({

                x: Date.now(),

                y: Math.random()

              });

            });
			},
		delay:2000,
		pause: false
		}
      }]

    }

  }

}

chart0 = new Chart(ctx0, config0);



////////////////////




var ctx1 = document.getElementById('chart1').getContext('2d');
var chart1
var config1 = {

  type: 'line',

  data: {

    datasets: [{

   
   data: [],
	  label: 'Channel D',
      borderColor: 'rgb(155, 199, 32)',
      backgroundColor: 'rgba(155, 199, 32, 0.5)',
      borderDash: [8, 4]
   

  }]
  },

  options: {
maintainAspectRatio: false,
    scales: {

      xAxes: [{

        type: 'realtime',
		realtime:{
		onRefresh: function(chart) {

            chart1.data.datasets.forEach(function(dataset) {

              dataset.data.push({

                x: Date.now(),

                y: Math.random()

              });

            });
			},
		delay:2000,
		pause: false
		}
      }]

    }

  }

}

chart1 = new Chart(ctx1, config1);









//////////////////////




var ctx2 = document.getElementById('chart2').getContext('2d');
var chart2
var config2 = {

  type: 'line',

  data: {

    datasets: [{

   data: [],
	  label: 'Channel E',
      borderColor: 'rgb(100, 200, 132)',
      backgroundColor: 'rgba(100, 200, 132, 0.5)',
      borderDash: [8, 4]
 

  }]
  },

  options: {
maintainAspectRatio: false,
    scales: {

      xAxes: [{

        type: 'realtime',
		realtime:{
		onRefresh: function(chart2) {

            chart2.data.datasets.forEach(function(dataset) {

              dataset.data.push({

                x: Date.now(),

                y: Math.random()

              });

            });
			},
		delay:2000,
		pause: false
		}
      }]

    }

  }

}

chart2 = new Chart(ctx2, config2);







///////////////////








var ctx3 = document.getElementById('chart3').getContext('2d');
var chart3
var config3 = {

  type: 'line',

  data: {

    datasets: [{

      data: [],
	  label: 'Channel F',
      borderColor: 'rgb(55, 32, 132)',
      backgroundColor: 'rgba(55, 32, 132, 0.5)',
      borderDash: [8, 4]

  }]
  },

  options: {
maintainAspectRatio: false,
    scales: {

      xAxes: [{

        type: 'realtime',
		realtime:{
		onRefresh: function(chart3) {

            chart3.data.datasets.forEach(function(dataset) {

              dataset.data.push({

                x: Date.now(),

                y: Math.random()

              });

            });
			},
		delay:2000,
		pause: false
		}
      }]

    }

  }

}

chart3 = new Chart(ctx3, config3);







////////////////////////////
		

$('#chart0').click(function(){
	console.log("Click on pause");
	console.log(config0);
	config0.options.scales.xAxes[0].realtime.pause = !config0.options.scales.xAxes[0].realtime.pause;
});

$('#chart1').click(function(){
	console.log("Click on pause");
	console.log(config1);
	config1.options.scales.xAxes[0].realtime.pause = !config1.options.scales.xAxes[0].realtime.pause;
});

$('#chart2').click(function(){
	console.log("Click on pause");
	console.log(config2);
	config2.options.scales.xAxes[0].realtime.pause = !config2.options.scales.xAxes[0].realtime.pause;
});

$('#chart3').click(function(){
	console.log("Click on pause");
	console.log(config3);
	config3.options.scales.xAxes[0].realtime.pause = !config3.options.scales.xAxes[0].realtime.pause;
});
*/
			////////////////////:
//  advance();	
			
			
			
			
			
			//////////////////







//////////////////
		});

	$('.Envoi').click(function(e) {
		var lolli = 0;
		
		$('#text_modal').html('<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>');		
		socket.emit("verif", {id: this.id, signal: generation, essai: "essai"});
		console.log('Machin')
	});

		$('.verif').click(function(e) {
			e.stopPropagation();
			if (window.confirm("Etes vous sur d'executer cet ordre?")) {
				console.log("activé "+this.id);
				//$('#text_modal').val('rajouté par JS: '+this.id);
				console.log(this.id.split("_")[0]);
				console.log("Parametres rentres");
				//$('#text_modal').html('<select id="generation"  name="generation" class="browser-default custom-select"><option selected>Generation du signal</option><option value="Impulse">Impulse</option><option value="Sinus">Sinus</option></select>');
				$('#text_modal').html('Petit texte explicatif du déroulement du test');
				
				//$('#Envoi').attr('id',this.id);	
				$('.Envoi').attr('id',this.id);	
				if(this.id.split("_")[0] == "verif"){
					console.log("il s'agit d'une verif");


					if($.isNumeric($('#'+this.id+'-bas').val()) && $.isNumeric($('#'+this.id+'-haut').val()) ) {
	
						//socket.emit("verif", {id: this.id, seuil_b: $('#'+this.id+'-bas').val(), seuil_h: $('#'+this.id+'-haut').val()});

					}
					else {
						console.log("Aucun parametres rentres");
						//socket.emit("verif",{id: this.id});
					} 
					
				}		
	
				else if(this.id.split("_")[0] == "param") {
						console.log("il s'agit d'une param");
						socket.emit("verif", {id: this.id});
				}
				else {
					console.log("ce n'est pas une verif");
					socket.emit("verif",{id: this.id});
				}


				$('#retour_verif').modal('toggle');
//				$(this).html('<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>');		       
			}
		});


	});
</script>


